EDIT - feature request #4101

Default value for publish bit of new taxa must be configurable via DB preferences

03/07/2014 03:44 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 3:00 hours
Target version: Release 5.1

Severity: critical

Description

in the Euro+Med project it is important that the publish bit is not set by default for new taxa. In other use cases setting the publish bit
by default will be a requirement though. So we need a mechnism to configure this. Only user with the ROLE_PROJECT_MANAGER
must be allowed to change the default behaviour of regarding the publish flag. So it is not a valid solution to implement this into a

client like the tax editor, this must be a library functionality

We probably need 3 states. True, false and inherit from parent. Inherit from parent was mentioned in duplicating ticket #4133.

related to #1780 (Publish bit instead of marker)

Related issues:
Related to EDIT - feature request #3709: [E+M][Editor] sufficient rights mana...
Has duplicate EDIT - feature request #4133: publish flag inheritance for new ...

Resolved
Duplicate

Associated revisions

Revision 62a46745 - 04/19/2018 04:23 PM - Katja Luther

ref #6429: add publish flag preference to admin menu

Revision 4d210ea8 - 04/20/2018 07:46 AM - Katja Luther

new PreferencePredicate for publish flag preference

Revision 2bd924ce - 04/24/2018 01:00 PM - Katja Luther

ref #6429: namedetails view configuration in admin preferences

Revision eef2730e - 06/19/2018 05:38 PM - Andreas Miiller
ref #4101 label for publish flag preferences

Revision d7983c72 - 06/19/2018 05:44 PM - Andreas Miiller
ref #4101 adapt labels for set publish flag options

Revision 816e822f - 06/19/2018 06:02 PM - Andreas Miiller

ref #4101 change ICNB and ICNAFP in order of enum to get a more alphabetically oriented order.

Revision 8360c0ff - 06/26/2018 04:11 PM - Katja Luther

fix #4101: getValue() was missing

Revision c66e6¢f5 - 06/27/2018 09:19 AM - Katja Luther

ref #4101: correct setting of values in publish flag wizard

History

#1 - 03/07/2014 04:00 PM - Andreas Miuller

- Subject changed from publish bit must not set by default for new taxa to [DISCUSS] publish bit must not set by default for new taxa

I think we first need to discuss what the best behaviour is. This is also related to the Versionining or Non-Versioning strategy in E+M.

We could also have a strategy where the publish flag is inherited from the parent.
https://dev.e-taxonomy.eu/redmine/issues/4133

#2 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#3 - 07/16/2015 03:04 PM - Andreas Miiller

- Target version changed from Euro+Med Migration to Euro+Med Portal Release

#4 - 06/21/2016 11:20 AM - Andreas Miiller
- Target version changed from Euro+Med Portal Release to Euro+Med Migration

- Priority changed from New to Highest

#5 - 06/21/2016 01:25 PM - Andreas Miiller
- Subject changed from [DISCUSS] publish bit must not set by default for new taxa to [DISCUSS] publish bit must not be set by default for new taxa

#6 - 06/20/2017 08:14 AM - Andreas Kohlbecker
- Related to feature request #3709: [E+M][Editor] sufficient rights management for E+M workflow added

#7 - 09/13/2017 02:04 PM - Andreas Miller

- Subject changed from [DISCUSS] publish bit must not be set by default for new taxa to Default value for publish bit of new taxa must be configurable
via DB preferences

- Description updated
- Assignee changed from Andreas Miiller to Katja Luther

- Target version changed from Euro+Med Migration to Release 4.10

#8 - 09/13/2017 02:05 PM - Andreas Miuller

- Private changed from Yes to No

#9 - 09/13/2017 02:45 PM - Andreas Miuller

- Description updated

#10 - 09/13/2017 02:47 PM - Andreas Miiller
- Has duplicate feature request #4133: publish flag inheritance for new taxa [DISCUSS] added

#11 - 09/13/2017 02:48 PM - Andreas Miiller

- Description updated

#12 - 09/24/2017 01:51 AM - Andreas Muiller

- Target version changed from Release 4.10 to Release 4.11

#13 - 11/08/2017 11:19 AM - Andreas Miuiller

- Target version changed from Release 4.11 to Release 4.12

#14 - 12/05/2017 02:24 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#16 - 01/31/2018 12:23 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#17 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#18 - 05/17/2018 02:28 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#19 - 05/28/2018 11:21 AM - Andreas Miiller

- Status changed from New to In Progress
#20 - 05/28/2018 12:01 PM - Andreas Miiller
- Estimated time set to 3:00 h

#21 - 05/29/2018 10:40 AM - Katja Luther

- Status changed from In Progress to Resolved

this should be fixed now. please review.

#22 - 05/29/2018 10:40 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mtiller

#23 - 06/19/2018 05:50 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

When trying to save | got:

login admin
editor version : 5
server

java

.1.0.201806191452

test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5
os : Windows Server 2012 R2 6.3 amdo64

1.8

.0_121

.0.0.0.20180514

java.lang.NullPointerException
at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator.toString (Abcd206ImportConfigurator. ja

va:235)

at eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportPreference.performOk (AbcdImportPreference
.java:237)

at
at
at
at
at
at
at

org.
org.
org.
org.
org.
org.
org.

eclipse

eclipse.
eclipse.
eclipse.
eclipse.
eclipse.

eclipse

.Jjface.preference.PreferenceDialog$8.run (PreferenceDialog. java:905)
core.runtime.SafeRunner.run (SafeRunner. java:42)
ui.internal.JFaceUtil$1l.run (JFaceUtil. java:50)

jface.util.SafeRunnable.run (SafeRunnable. java:173)
jface.preference.PreferenceDialog.okPressed(PreferenceDialog. java:889)
jface.preference.PreferenceDialog.buttonPressed (PreferenceDialog. java:230)
.Jjface.dialogs.Dialog$2.widgetSelected(Dialog. java:618)

#24 - 06/19/2018 06:07 PM - Andreas Miiller

When | set to "Don't set publish flag" the new child taxon still has publish flag = true. Also inheriting from parent still does not work.

#25 - 06/19/2018 06:09 PM - Andreas Miiller

We may also want to show the new publish flag value in the "new taxon" dialog. But this might be another ticket.

#26 - 06/26/2018 04:11 PM - Katja Luther

- Status changed from Feedback to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|8360c0ff2bbc09ed93a487bd5e7451f197785edf.

#27 - 06/26/2018 04:20 PM - Katja Luther

- Status changed from Resolved to Feedback

- % Done changed from 50 to 0

Andreas Muller wrote:

When trying to save | got:

login
editor version

server

Os

java
5.1.0.201806191452

test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version

5.0.0.0.20180514

: Windows Server 2012 R2 6.3 amd64

1.8.0_121
java.lang.NullPointerException
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/8360c0ff2bbc09ed93a487bd5e7451f197785edf

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator.toString (Abcd206ImportConfigurator.
java:235)

at eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportPreference.performOk (AbcdImportPreferen
ce.java:237)

at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog. java:905)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

this was not related to this issue, but the NPE in Abcd206ImportConfigurator is fixed now.

#28 - 06/26/2018 04:20 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#29 - 06/26/2018 05:56 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The preference is not stored in the DB. After reopening the preference view the publish flag option is still not set.

#30 - 06/26/2018 05:58 PM - Andreas Miiller

Andreas Muller wrote:

We may also want to show the new publish flag value in the "new taxon" dialog. But this might be another ticket.

Please implement or create new ticket.

#31 - 06/27/2018 11:27 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#32 - 06/27/2018 12:20 PM - Katja Luther
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

Andreas Muller wrote:

The preference is not stored in the DB. After reopening the preference view the publish flag option is still not set.

this was a problem of the wizard and is fixed.
Andreas Miller wrote:
Andreas Muller wrote:

We may also want to show the new publish flag value in the "new taxon" dialog. But this might be another ticket.

Please implement or create new ticket.

is implemented.

#33 - 06/27/2018 12:21 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#34 - 06/27/2018 01:38 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
Seems to work now.
